%global debug_package %{nil}
%global _hardened_build 1
%global __provides_exclude (libnode)
%global __requires_exclude (libnode|ffmpeg)
%global project electron
%global repo %{project}
%global electrondir %{_libdir}/%{name}/%{version}

%define system linux

#defining architectures 
%{?_arch:%define arch %{_arch}}
%ifarch x86_64
  %define arch x64
%else
  %ifarch %{ix86}
    %define arch ia32
  %else
    %ifarch aarch64
      %define arch arm64
    %else
      %ifarch armv7hl armv7hnl
        %define arch arm
      %else
        %ifarch armv7l
          %define arch armv7l
        %endif
      %endif
    %endif
  %endif
%endif

%define platform %{system}%{?__isa_bits}
%define archele %{system}%{?arch:-%{arch}}

Name:               electron
Version:            1.7.9
Release:            1%{?dist}
Summary:            Framework for build cross-platform desktop applications
Group:              Applications/Editors
License:            MIT
URL:                https://github.com/electron/electron
#Source:             https://github.com/electron/electron/releases/download/v%{version}/electron-v%{version}-%{archele}.zip
#Source1:            https://atom.io/download/atom-shell/v%{version}/node-v%{version}.tar.gz

BuildRequires:      wget
BuildRequires:      unzip
BuildRequires:      tar
Requires(post):     chkconfig
Requires(postun):   chkconfig
Obsoletes:          %{name} < %{version}-%{release}

%description
The Electron framework lets you write cross-platform desktop applications
using JavaScript, HTML and CSS. It is based on Node.js and Chromium.

Visit http://electron.atom.io/ to learn more.

%prep
#%%setup -c -a 1

mkdir "%{name}_build"
pushd "%{name}_build"

wget https://github.com/electron/electron/releases/download/v%{version}/electron-v%{version}-%{archele}.zip
unzip electron-v%{version}-%{archele}.zip

wget https://atom.io/download/atom-shell/v%{version}/node-v%{version}.tar.gz
tar xf node-v%{version}.tar.gz

popd

%build

%install
pushd "%{name}_build"

# Install electron
Files="content_shell.pak electron icudtl.dat libffmpeg.so libnode.so locales \
       natives_blob.bin resources snapshot_blob.bin version"
%{__install} -d "%{buildroot}%{electrondir}"
%{__cp} -a ${Files} "%{buildroot}%{electrondir}"

%{__install} -d "%{buildroot}%{_bindir}"
%{__ln_s} -fv "%{electrondir}/%{name}" "%{buildroot}%{_bindir}/%{name}-%{version}"

# Install node headers
%{__install} -d "%{buildroot}%{electrondir}/node"
%{__cp} -r "node-v%{version}"/* "%{buildroot}%{electrondir}/node"

popd

%post
if [[ "${1}" -ge "1" ]]; then
  PRIORITY="90"
  /sbin/alternatives --install "%{_bindir}/%{name}" "%{name}" "%{electrondir}/%{name}" "${PRIORITY}"
fi

%postun
if [[ "${1}" -eq "0" ]]; then
  /sbin/alternatives --remove "%{name}" "%{electrondir}/%{name}"
fi

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}-%{version}
%{_libdir}/%{name}/%{version}/

%changelog
* Fri Nov 03 2017 Tomasz Tomasik <scx.mail@gmail.com> - 1.7.9-1
- Updated to 1.7.9
- Cleanup SPEC file
- Update macros
- Rebuilt for EL7

* Sun Oct 22 2017 David Vásquez <davidva AT tutanota DOT com> 1.7.5-1
- Updated to 1.7.5

* Mon Oct 02 2017 David Vásquez <davidva AT tutanota DOT com> 1.6.14-1
- Updated to 1.6.14

* Sun Aug 13 2017 David Vásquez <davidva AT tutanota DOT com> 1.3.15-1
- Updated, added sources and new changes in the structure

* Tue Jan  3 2017 mosquito <sensor.wen@gmail.com> - 1.3.13-1.git93c4f90
- Release 1.3.13

* Thu Dec  1 2016 mosquito <sensor.wen@gmail.com> - 1.3.9-1.gitcb9fdc4
- Release 1.3.9

* Sat Oct 15 2016 mosquito <sensor.wen@gmail.com> - 1.3.7-1.gite3688a8
- Release 1.3.7

* Wed Jul 13 2016 mosquito <sensor.wen@gmail.com> - 1.2.7-1.git13e1818
- Release 1.2.7

* Wed Jun 29 2016 mosquito <sensor.wen@gmail.com> - 1.2.3-3.git553341d
- Dont edit the global config file in postscript

* Sun Jun 19 2016 mosquito <sensor.wen@gmail.com> - 1.2.3-2.git553341d
- Rewrite post script for rhel7

* Fri Jun 17 2016 mosquito <sensor.wen@gmail.com> - 1.2.3-1.git553341d
- Release 1.2.3
- Set priority 90

* Fri Jun 17 2016 mosquito <sensor.wen@gmail.com> - 0.37.8-1.gitedb73fb
- Revert to 0.37.8
- Use multiversion config

* Fri Jun 10 2016 mosquito <sensor.wen@gmail.com> - 1.2.2-1.gitb2bea57
- Release 1.2.2

* Fri Jun  3 2016 mosquito <sensor.wen@gmail.com> - 1.2.1-1.git97dd71d
- Release 1.2.1

* Thu May 26 2016 mosquito <sensor.wen@gmail.com> - 1.2.0-1.gitc127274
- Release 1.2.0

* Mon Apr 25 2016 mosquito <sensor.wen@gmail.com> - 0.37.7-1.gitc04d43c
- Release 0.37.7
- Add node headers

* Wed Apr 13 2016 mosquito <sensor.wen@gmail.com> - 0.37.5-1.git55b8e9a
- Release 0.37.5

* Sat Mar 12 2016 mosquito <sensor.wen@gmail.com> - 0.36.11-1.gitead94b7
- Release 0.36.11

* Sat Mar  5 2016 mosquito <sensor.wen@gmail.com> - 0.36.10-1.git3397845
- Release 0.36.10

* Sat Feb 20 2016 mosquito <sensor.wen@gmail.com> - 0.36.8-1.git4b18317
- Release 0.36.8

* Sun Feb 14 2016 mosquito <sensor.wen@gmail.com> - 0.36.7-1.git9d8e23c
- Initial package

